Subject: Re: ftp-pasv patch and remote port decodes (a patch)

From: Andreas Priebe <[email-masked]>
Date: Fri, 09 Feb 2001 11:26:16 +0100

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Tor Perkins wrote on Tue, 9 Jan 2001 12:48:34:
 
> The problem:
> 
>    The original code for parsing an FTP servers PASV response was not
>    sufficiently general, so sometimes the port decode would fail and
>    the data connection could not happen.
> 
>      possible formats include (RFC 959 is ambiguous):
> 
>        227 Entering Passive Mode (h1,h2,h3,h4,p1,p2)    <-- most servers
>        227 Entering Passive Mode (h1,h2,h3,h4,p1,p2).   <-- some servers
>        227 =h1,h2,h3,h4,p1,p2                           <-- sez' D. J. Bernstein
> 
> Luis Fernando Barrera pointed this out to me and Berend De Schouwer
> has even included a patch for it already.  This is the patch I made.
> It tries to handle all of the cases listed above.

I have downloaded the path from fwtk.org.
I had previously applied the older patch (ftp-pasv.tgz with only two
diffs).
How do I apply the new patch? Additionally, or do I have to aplly
some procedure to remove the older one?

Andreas